Bug 519483 - Review Request: zikula-module-pagemaster - Creates pages with dynamic content like news, articles, etc
Summary: Review Request: zikula-module-pagemaster - Creates pages with dynamic content...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nick Bebout
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 526595
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 19:09 UTC by Rahul Sundaram
Modified: 2013-03-13 05:45 UTC (History)
6 users (show)

Fixed In Version: 0.3.1-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-04 00:33:28 UTC
nb: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rahul Sundaram 2009-08-26 19:09:59 UTC
Spec URL: http://sundaram.fedorapeople.org/packages/zikula-module-pagemaster.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/zikula-module-pagemaster-0.3.1-1.fc12.src.rpm
Description: 
Pagemaster is a fully Zikula 1.1 compliant but non complete clone of Pagesetter 
(relations and mediashare plugin are missing still). The main task of the 
module is creating pages with dynamic content like news articles, product 
descriptions, band listings etc.

Comment 1 Toshio Ernie Kuratomi 2009-08-27 00:52:53 UTC
quick pre-review of important things:
* Licensing looks good.  Mixture of GPL and MIT.  There is no included license file but hte source references: GNU/GPL - http://www.gnu.org/copyleft/gpl.html
* The module includes a copy of livepipe which is not a blocker as it is a javascript library and we don't yet have javascript guidelines.  Something that will need to be moved out into its own package in the future, though.
* There is an included version of FilterUtil: http://code.zikula.org/filterutil  that seems like it should be in its own package.  Is there a reason it shouldn't?

Comment 2 Toshio Ernie Kuratomi 2009-08-27 00:54:46 UTC
Also, the Source0: url isn't a static link.  It's generated whenever a person asks to download a file.  itbegins will query upstream about uploading the extension to code.zikula.org but for now, a comment that says what URL to go to and what to click to get the code is fine for now.

Comment 3 Rahul Sundaram 2009-08-27 20:52:35 UTC
http://sundaram.fedorapeople.org/packages/zikula-module-pagemaster.spec

http://sundaram.fedorapeople.org/packages/zikula-module-pagemaster-0.3.1-2.fc12.src.rpm

Upstream claims FilterUtil is not a stand alone module and is getting obsoleted so I am not inclined to split it up. Let me know if there is anything else I need to do

Comment 4 Toshio Ernie Kuratomi 2009-08-28 04:33:33 UTC
The important difference is not whether it's standalone.  The question is whether it's a separate project.  
* It does have a separate subversion repository so that's a point against it being just a piece of pagemaster.
* It's been incorporated into zikula-2 but AFAIK pagemaster has not been incorporated into the core.
* Does it get released separately?  I think it doesn't have tarballs so this is somewhat favorable to it being part of pagemaster.
* Does it get incorporated into other modules?  It looks like it used to be included in ModuleStudio as well but that's but because ModuleStudio wanted to be php-4 compatible, it dropped the FilterUtil code: http://community.zikula.org/module-Forum-viewtopic-topic-54622.htm

All in all, I don't feel comfortable considering it to be a part of pagemaster.  It seems much more like a separate module that pagemaster depends on.

Comment 5 Toshio Ernie Kuratomi 2009-08-28 04:35:21 UTC
Note: discussing this more with Simon (itbegins) on logistics@lists.fedoraproject.org, though.  I might be persuaded that this is okay.

Comment 6 Rahul Sundaram 2009-08-28 04:37:49 UTC
Ok. I will wait for you to decide one way or the other then.

Comment 7 Mel Chua 2009-09-30 23:10:59 UTC
Taking this ticket as an indication that I'll be the maintainer of this package so that Toshio can proceed with the review. (Rahul is, however, planning on stepping in later and re-taking maintainership from me.)

For context: http://meetbot.fedoraproject.org/fedora-meeting/2009-09-29/fedora-meeting.2009-09-29-20.02.log.html starting at 20:25:08

Comment 8 Toshio Ernie Kuratomi 2009-10-02 04:10:27 UTC
Okay.  We need updated packages that depend on:

https://bugzilla.redhat.com/show_bug.cgi?id=526595

Comment 10 Mel Chua 2009-10-04 17:42:34 UTC
Note: I just tested http://toshio.fedorapeople.org/packages/zikula-module-pagemaster-0.3.1-3.fc11.noarch.rpm on publictest6. The package installs, and the resulting module installs and activates just fine on the Fedora Insight zikula testbed we have on http://publictest6.fedoraproject.org/zikula, so everything appears to be working.

Comment 11 Mel Chua 2009-10-04 17:43:53 UTC
(In reply to comment #8)
> Okay.  We need updated packages that depend on:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=526595  

The package referred to has just been approved: https://bugzilla.redhat.com/show_bug.cgi?id=526595#c2

Comment 12 Nick Bebout 2009-10-05 03:15:08 UTC
rpmlint is clean

[nb@nb SPECS]$ rpmlint zikula-module-pagemaster.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[nb@nb SRPMS]$ rpmlint zikula-module-pagemaster-0.3.1-3.fc11.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[nb@nb noarch]$ rpmlint zikula-module-pagemaster-0.3.1-3.fc11.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Licensing appears to be correct.

Package appears to conform to rest of packaging and review guidelines.

APPROVED.

Comment 13 Mel Chua 2009-10-05 21:26:49 UTC
New Package CVS Request
=======================
Package Name: zikula-module-pagemaster
Short Description: Creates pages with dynamic content like news, articles, etc
Owners: mchua
Branches: F-11 F-12
InitialCC: toshio sundaram

Comment 14 Mel Chua 2009-10-05 21:42:02 UTC
(sorry, please ignore comment #13 and use this CVS request instead)

New Package CVS Request
=======================
Package Name: zikula-module-pagemaster
Short Description: Creates pages with dynamic content like news, articles, etc
Owners: mchua toshio sundaram
Branches: F-11 F-12 EL-5
InitialCC:

Comment 15 Kevin Fenzi 2009-10-06 17:34:32 UTC
cvs done.

Comment 16 Fedora Update System 2009-10-21 20:17:27 UTC
zikula-module-pagemaster-0.3.1-3.el5,zikula-module-filterutil-0-0.2.20090915svn15.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/zikula-module-pagemaster-0.3.1-3.el5,zikula-module-filterutil-0-0.2.20090915svn15.el5

Comment 17 Fedora Update System 2009-10-23 23:20:03 UTC
zikula-module-pagemaster-0.3.1-3.el5, zikula-module-filterutil-0-0.2.20090915svn15.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zikula-module-pagemaster zikula-module-filterutil'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0718

Comment 18 Fedora Update System 2009-11-10 03:23:16 UTC
zikula-module-pagemaster-0.3.1-3.el5, zikula-module-filterutil-0-0.2.20090915svn15.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.